/*************************************************************************************************
Dmitri Korotkevitch
24HOP - Data partitioning in VLDB (second edition)

http://aboutsqlserver.com
email: dmitri@aboutsqlserver.com

Execution plans
(SQL Server 2012 - Enterprise Edition required)
*************************************************************************************************/

use PartitioningDb
go

-- Enable execution plan
select min(OrderDate), max(OrderDate)
from dbo.Orders
where OrderDate >= '2011-01-01' and OrderDate < '2011-02-01'
go

select min(OrderDate), max(OrderDate)
from dbo.Orders
where OrderDate >= '2012-02-01' and OrderDate < '2012-03-01'
go

select top 10 *
from dbo.Orders
where OrderDate >= '2012-12-01'
order by OrderDate desc
go


